Page MenuHomePhabricator

tests: add test to demonstrate issue6159
ClosedPublic

Authored by navaneeth.suresh on Aug 17 2019, 5:28 PM.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit added a subscriber: pulkit.Aug 19 2019, 11:16 AM
pulkit added inline comments.
tests/test-bookmarks-pushpull.t
1344

--config phases.new-commit=secret can be used here instead to create a secret commit.

1371

we should cd to issue6519remote here right?

1381

No need for this.

navaneeth.suresh marked 3 inline comments as done.Aug 20 2019, 7:53 AM
navaneeth.suresh updated this revision to Diff 16266.

@pulkit Now I'm unable to reproduce the test result given in the bug report. It seems like the remote repo recognizes the secret changeset cf489fd8a374.

I'm able to reproduce the tests now. The case b2-binary can reproduce the test results.

pulkit accepted this revision.Aug 23 2019, 7:08 PM
This revision is now accepted and ready to land.Aug 23 2019, 7:08 PM
This revision was automatically updated to reflect the committed changes.